//стили для формы регистрации =========
.form-wrapp {
    display: flex;
    justify-content: space-around;
    align-items: center;
    width: 20%;
  }
  
  // /* Поля ввода полной ширины */
  input[type=text], input[type=password] {
    width: 100%;
    padding: 12px 20px;
    margin: 8px 0;
    display: inline-block;
    border: 1px solid #ccc;
    box-sizing: border-box;
  }
  
  
  
  // /* Установите стиль для всех кнопок */
  button {
    margin: 8px 0;
  }
  .button, button {
    background-color: #130455;
    font-size: 80%;
    color: white;
    padding: 10px 15px;
    border: none;
    cursor: pointer;
    // width: 100%;
    border-radius: 10px;
  }
  
  button:hover {
    opacity: 0.8;
  }

#closeBtn {
  background-color: rgb(168, 8, 8);
}
.modalBtns {
  display: flex;
  justify-content: space-between;
  align-items: center;
}
  /* Дополнительные стили для кнопки Отмена */
  .cancelbtn {
    width: auto;
    padding: 10px 18px;
    background-color: #f44336;
  }
  
  /* Центрируйте изображение и установите кнопку Закрыть */
  .imgcontainer {
    text-align: center;
    margin: 24px 0 12px 0;
    position: relative;
  }
  
  .container-form-log-in, container-form-log-up {
    padding: 16px;
  }
  
  span.psw {
    float: right;
    padding-top: 16px;
  }
  
  // /* Модальный (фон) */
  .modal {
    position: fixed; /* Оставаться на месте */
    z-index: 1; /* Сидеть на вершине */
    left: 0;
    top: 0;
    width: 100%; /* Полная ширина */
    height: 100%; /* Полная высота */
    overflow: auto; /* Включите прокрутку, если это необходимо */
    background-color: rgba(6, 22, 75, 0.4); /*Черный с непрозрачностью */
    padding-top: 60px;
  }

  
  /* Модальное содержание/бокс */
  .modal-content {
    background-color: #fefefe;
    margin: 5% auto 15% auto; /* 5% сверху, 15% снизу и по центру */
    border: 1px solid #888;
    width: 80%; /* Может быть больше или меньше, в зависимости от размера экрана */
  }
  
  /* Кнопка закрытия (x) */
  .close {
    position: absolute;
    right: 25px;
    top: 0;
    color: #000;
    font-size: 35px;
    font-weight: bold;
  }
  
  .close:hover,
  .close:focus {
    color: red;
    cursor: pointer;
  }
  
  /* Добавить анимацию масштабирования */
  .animate {
    -webkit-animation: animatezoom 0.6s;
    animation: animatezoom 0.6s
  }
  
  @-webkit-keyframes animatezoom {
    from {-webkit-transform: scale(0)} 
    to {-webkit-transform: scale(1)}
  }
    
  @keyframes animatezoom {
    from {transform: scale(0)} 
    to {transform: scale(1)}
  }
  
  /* Измените стили для кнопки span и cancel на очень маленьких экранах */
  @media screen and (max-width: 300px) {
    span.psw {
       display: block;
       float: none;
    }
    .cancelbtn {
       width: 100%;
    }
  }
  
  .modal__backdrop {
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    background: rgba(0, 0, 0, 0.5);
    opacity: 0;
    z-index: -1;
    pointer-events: none;
    transition: opacity0 .2s ease-in;
  }

  .modal__content {
    position: relative;
    width: auto;
    margin: 10px;
    transition: opacity 0.3s ease-in;
    display: flex;
    flex-direction: column;
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid rgba(0, 0, 0, 0.2);
    border-radius: 0.3rem;
    box-shadow: 0 0 7px 0 rgba(0, 0, 0, 0.3);
  }

  @media (min-width: 576px) {
    .modal__content {
      max-width: 500px;
      margin: 50px auto;
    }
  }

  .modal__show .modal__backdrop,
  .modal__show .modal__content {
    opacity: 1;
    z-index: 1050;
    pointer-events: auto;
    overflow-y: auto;
  }

  .modal__header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 15px;
    border-bottom: 1px solid #eceeef;
  }

  .modal__title {
    margin-top: 0;
    margin-bottom: 0;
    line-height: 1.5;
    font-size: 1.25rem;
    font-weight: 500;
  }

  .modal__btn-close {
    float: right;
    font-family: sans-serif;
    font-size: 24px;
    font-weight: 700;
    line-height: 1;
    color: #000;
    text-shadow: 0 1px 0 #fff;
    opacity: 0.5;
    text-decoration: none;
  }

  .modal__btn-close:focus,
  .modal__btn-close:hover {
    color: #000;
    text-decoration: none;
    cursor: pointer;
    opacity: 0.75;
  }

  .modal__body {
    position: relative;
    flex: 1 1 auto;
    padding: 15px;
    overflow: auto;
  }

  .modal__footer {
    display: flex;
    align-items: center;
    justify-content: flex-end;
    padding: 1rem;
    border-top: 1px solid #e9ecef;
    border-bottom-right-radius: 0.3rem;
    border-bottom-left-radius: 0.3rem;
  }